<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML3.2 EN">
<HTML>
<HEAD>
<META NAME="GENERATOR" CONTENT="DOCTEXT">
<TITLE>PetscFree7</TITLE>
</HEAD>
<BODY BGCOLOR="FFFFFF">
<A NAME="PetscFree7"><H1>PetscFree7</H1></A>
Frees 7 chunks of memory obtained with <A HREF="../Sys/PetscMalloc7.html#PetscMalloc7">PetscMalloc7</A>() 
<H3><FONT COLOR="#CC3333">Input Parameter</FONT></H3>
<TABLE border="0" cellpadding="0" cellspacing="0">
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>m1 </B></TD><TD>- memory to free
</TD></TR>
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>m2 </B></TD><TD>- 2nd memory to free
</TD></TR>
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>m3 </B></TD><TD>- 3rd memory to free
</TD></TR>
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>m4 </B></TD><TD>- 4th memory to free
</TD></TR>
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>m5 </B></TD><TD>- 5th memory to free
</TD></TR>
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>m6 </B></TD><TD>- 6th memory to free
</TD></TR>
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>m7 </B></TD><TD>- 7th memory to free
</TD></TR></TABLE>
<P>
<P>
<H3><FONT COLOR="#CC3333">Synopsis</FONT></H3>
<PRE>
PetscErrorCode PetscFree7(void *m1,void *m2,void *m3,void *m4,void *m5,void *m6,void *m7)
</PRE>

<P>
Notes: Memory must have been obtained with <A HREF="../Sys/PetscMalloc7.html#PetscMalloc7">PetscMalloc7</A>()
<P>
<H3><FONT COLOR="#CC3333">See Also</FONT></H3>
 <A HREF="../Sys/PetscNew.html#PetscNew">PetscNew</A>(), <A HREF="../Sys/PetscMalloc.html#PetscMalloc">PetscMalloc</A>(), <A HREF="../Sys/PetscMalloc2.html#PetscMalloc2">PetscMalloc2</A>(), <A HREF="../Sys/PetscFree.html#PetscFree">PetscFree</A>(), <A HREF="../Sys/PetscMalloc3.html#PetscMalloc3">PetscMalloc3</A>(), <A HREF="../Sys/PetscMalloc4.html#PetscMalloc4">PetscMalloc4</A>(), <A HREF="../Sys/PetscMalloc5.html#PetscMalloc5">PetscMalloc5</A>(), <A HREF="../Sys/PetscMalloc6.html#PetscMalloc6">PetscMalloc6</A>(),
<BR><A HREF="../Sys/PetscMalloc7.html#PetscMalloc7">PetscMalloc7</A>()
<P>
<P>
<P><B><P><B><FONT COLOR="#CC3333">Level:</FONT></B>developer
<BR><FONT COLOR="#CC3333">Location:</FONT></B><A HREF="../../../include/petsc.h.html#PetscFree7">include/petsc.h</A>
<BR><A HREF="./index.html">Index of all Sys routines</A>
<BR><A HREF="../../index.html">Table of Contents for all manual pages</A>
<BR><A HREF="../singleindex.html">Index of all manual pages</A>
</BODY></HTML>
